import { ref } from 'vue';

const cartItems = ref([]);

export function useCart() {
  const addItem = (item) => {
    console.log('Adding item:', item);
    const existingItem = cartItems.value.find(i => i.id === item.id);
    if (existingItem) {
      console.log('Item already in cart, updating quantity:', existingItem.quantity);
      existingItem.quantity += item.quantity; // Ensure cumulative quantity
    } else {
      console.log('Item not in cart, adding new item');
      cartItems.value.push(item);
    }
    console.log('Current cart items:', cartItems.value);
  };

  const updateQuantity = (item) => {
    const index = cartItems.value.findIndex(i => i.id === item.id);
    if (index !== -1) {
      cartItems.value[index].quantity = item.quantity;
    }
  };

  const removeItem = (itemId) => {
    cartItems.value = cartItems.value.filter(item => item.id !== itemId);
  };

  return {
    cartItems,
    addItem,
    updateQuantity,
    removeItem,
  };
}